#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	RTP/RTCP protocol library
Summary(pl.UTF-8):	Biblioteka obsługująca protokół RTP/RTCP
Name:		ortp
Version:	5.4.17
Release:	1
License:	AGPL v3+
Group:		Libraries
#Source0Download: https://gitlab.linphone.org/BC/public/ortp/tags
Source0:	https://gitlab.linphone.org/BC/public/ortp/-/archive/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	73208d9840944b49dca3d8a614874085
Patch1:		%{name}-pc.patch
URL:		https://www.linphone.org/technical-corner/mediastreamer2-ortp
BuildRequires:	bctoolbox-devel >= 5.3.0
BuildRequires:	cmake >= 3.22
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.605
Requires:	bctoolbox >= 5.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing

%description
ortp is a library for handling RTP protocol (RFC 3550).

%description -l pl.UTF-8
ortp to biblioteka obsługująca protokół RTP (RFC 3550).

%package devel
Summary:	Header files to develop applications using ortp
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia aplikacji używających ortp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bctoolbox-devel >= 5.3.0
Requires:	libstdc++-devel >= 6:7
Requires:	openssl-devel

%description devel
Header files for the ortp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki ortp.

%package static
Summary:	Static ortp library
Summary(pl.UTF-8):	Statyczna biblioteka ortp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ortp library.

%description static -l pl.UTF-8
Statyczna biblioteka ortp.

%package apidocs
Summary:	API documentation for ortp library
Summary(pl.UTF-8):	Dokumentacja API biblioteki ortp
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for ortp library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki ortp.

%prep
%setup -q
%patch -P 1 -p1

%build
# use cmake instead of autotools:
# - to get cmake target files for other linphone projects
# - configure.ac seems outdated (version 1.0.1, soname 13)
%if %{with static_libs}
%cmake -B builddir-static \
	-DBUILD_SHARED_LIBS=OFF \
	-DENABLE_DOC=OFF \
	-DENABLE_STRICT=OFF \
	-DENABLE_UNIT_TESTS=OFF

%{__make} -C builddir-static
%endif

%cmake -B builddir \
	-DENABLE_STRICT=OFF

%{__make} -C builddir

%install
rm -rf $RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} -C builddir-static install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%{__make} -C builddir install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/ortp-5.4.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS.md CHANGELOG.md README.md
%attr(755,root,root) %{_libdir}/libortp.so.15

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ortp-tester
%attr(755,root,root) %{_libdir}/libortp.so
%{_includedir}/ortp
%{_datadir}/ortp-tester
%{_pkgconfigdir}/ortp.pc
%dir %{_datadir}/Ortp
%{_datadir}/Ortp/cmake

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libortp.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc builddir/doc/html/*.{css,html,js,png}
%changelog
* Mon May 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ortp.git;a=log;h=master

* Mon May 19 2025 Jakub Bogusz <qboosh@pld-linux.org> b237b54
- updated to 5.4.17

* Mon Jan 27 2025 Bartek Szady <bszx@bszx.eu> e476cb0
- updated to 5.3.104

* Tue Apr 02 2024 Jakub Bogusz <qboosh@pld-linux.org> f08606f
- updated to 5.3.38

* Tue Mar 05 2024 Jakub Bogusz <qboosh@pld-linux.org> d3da9ba
- updated to 5.3.26; license is AGPL v3+ since 5.2.x

* Sun Oct 22 2023 Jan Rękorajski <baggins@pld-linux.org> 8612026
- up to 5.2.109

* Sun Apr 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 84a791b
- updated to 5.1.72 (last GPL-licensed version)

* Fri Jun 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 57bea95
- updated to 4.5.20

* Mon Jun 14 2021 Jakub Bogusz <qboosh@pld-linux.org> e9ca5b5
- missing patch

* Mon Jun 14 2021 Jakub Bogusz <qboosh@pld-linux.org> dd31993
- updated to 4.5.15, switched to cmake (note: new soname)
- added pc patch (fix exec_prefix and dependency in .pc file)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 6c04979
- unconditional noarch subpackages

* Sat Sep 26 2020 Jakub Bogusz <qboosh@pld-linux.org> aaba3fd
- updated to 4.4.0; license is GPL v3+ now
- added am patch (update autotools support)

* Mon Apr 22 2019 Jakub Bogusz <qboosh@pld-linux.org> ab8e9f7
- added aclocal include

* Mon Apr 22 2019 Jakub Bogusz <qboosh@pld-linux.org> ea9d279
- split -apidocs

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1daf68c
- up to 1.0.2

* Sun Nov 08 2015 Jakub Bogusz <qboosh@pld-linux.org> fc76da3
- updated to 0.25.0 (note: new soname)

* Sun Jul 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 06501f4
- srtp no longer used

* Sun Jul 05 2015 Jakub Bogusz <qboosh@pld-linux.org> d51426f
- updated to 0.24.2
- removed outdated i486 patch

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 6d0b346
- x32 rebuild
- release 2 (by relup.sh)

* Sun Mar 02 2014 Jakub Bogusz <qboosh@pld-linux.org> bdd1776
- updated to 0.23.0; now uses libzrtpcppcore >= 4
- updated i486 patch

* Thu Jan 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 660daf6
- release 2

